# FabLab Multipoint Connection Unit

> Many buttons to conect them all!

## [🌐 Live Interactive Map 🌐](https://fmcu.fablabs.io/)


[![coverMCU](images/fmcu_cover.png)](https://fmcu.fablabs.io/)


## Want to make a button for you lab? [Click here](https://pub.fabcloud.io/project/bootcamp-2023/fmcu/make%20a%20FMCU%20Button/Basic_button/) to see how to do it!

🔥 ** Feburary 2025** Our problems 🔥

- So the good thing is things sort of work.
- Ever since we moved server the site has not been running as smoothly as before and we don't know why.
- We are looking for people that can help us trouble shoot and fix this issue.
- Join the [group on mattermost](https://chat.academany.org/fab-network/channels/team-fmcu) if you want to get in touch and help out.


🕹️ **sptember 2024** New features 🕹️

- Dynamic camera: When a new lab joins, the camera will point to the newcomer for 10 seconds and then it will go back to where it was before
- Sound Feedback: : If you activate sound in the top left corner, you will hear FAB LAB in morse code when a new lab joins

🔧 **sptember 2024** Curently worrking on 🔧

- Ovehaul of documentation: Improved page layout and updating links to the latest code. adding more photos to the gallery.
- Bulding up activity after the servece change 

<!--To see labs online visit [FMCU Online Platform BETA V0.2](https://fmcu.fablabs.io). For local development and tests, download the **source code** from here

~~`git clone https://fmcu.fablabs.io/fmcu.git`~~ HTTPS CLONE NOT YET OPERATIONAL
 
 and follow the instructions on the README file. 
-->

## The concept 

A bare minimum panel or box with a push button that labels the lab to an online status for 4-8 hours. That data can then be visualized on a web platform like fablabs.io or a physical map.

The box can be modified to a beefed-up version with a counter, status lights, camera, etc.
Creativity with the design and technical implementation of the box should be encouraged so each box can have a unique character to it.

### workflow chart to set up the FMCU

![FMCU_flow](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/flowFMCU.png)

Good luck setting up your FMCU and let us know and share photos when your online!

![letusknow](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/LetUsKnowFMCU.png)

### jitsy MCU test

At some point we would like to intergrade video option to the web platform and Jitsy seams like a option for that.

## Technical 

### Hardware

The box should be simple to install and setup. At the moment we are using seeed XIAO esp32-C3 and a pushbutton. We connect to the local wifi and when the code is ready. Each lab would only need to put in wifi information and your fablabs.io Lab ID to identify the location.

### Server

The server is responsible of receiving the MQTT messages and prepare a list of labs online that the browser will open when someone visits the page.

<!--TODO:

- [ ] Node-Red: Some server side code to do some timestamp and processing to prepare a list of current online labs

- [ ] Node-Red: Some server side code to store the Lab ID in a JSON file

- [ ] Node-Red: Publish a MQTT message to update the open browsers -->

Visual System overview below
![systemoverview](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/FMCUsystemMap.png)

## Implementation

The biggest challenge is to get the boxes in operation and how we would implement it. At this point the implementation is still under development and we welcome every contribution and idea which might make this project a proper global Fablab success.

### Statuses explained

- **Online :** someone has press the button within 4 hours and therefor someone is likely to be in the lab.
- **Active :** button has not been pressed within 4 hours and therefor it's likely that there is no one working in the lab.
- **Inactive :** the button has not been pressed for 3 months there for it's likely the lab is not in operation it's on holiday.

Here is a rough mockup of what the box could look like.

<img src="http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/concep_mcu.png" 
     width="50%" 
     height="50%" />

<!-- ![theButton](../img/FrankensteinMCU/324564866_1625784104532077_4337177732258384810_n.jpg) -->


The bare minimum panel box only has a pushbutton for maximum simplicity to ensure that the box can be made within a hour with minimum tools.

Modules and features can be added. Below is a mind-map and more mockup photos to show what that could look like.

![mindmapMCU](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/mindmapMCU.png)


<!--![oldfmcu](../img/FrankensteinMCU/greatMCU%20(Medium).png)--> 

<img src="http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/greatMCU%20(Medium).png" 
     width="50%" 
     height="50%" />

![mockup](http://academany.fabcloud.io/fabacademy/2023/instructors-bootcamp/img/FrankensteinMCU/325196697_509574854596810_6691022344806446027_n.jpg)
*first mockup of the FMCU* 