# Using Arduino IDE with seeed for the first time.

If you haven't used Seeed board with Arduino IDE here are the steps to get it up and running.

If you need Arduino IDE it's [here](https://www.arduino.cc/en/software)

## Step 1

Open your Arudino IDE, click on ```File > Preferences```, and copy below url to Additional Boards Manager URLs below.

```https://raw.githubusercontent.com/espressif/arduino-esp32/gh-pages/package_esp32_index.json```

Press OK.

![board manager](../images/boardlink.png)

## Step 2

Click on ```Tools > Board > Board Manager```

Type the keyword "esp32" in the search box, select the latest version of esp32, and install it. We will take the one from espressif.

This process takes about 5 minutes to half an hour, which depend on the speed of your network.

![installboardman](../images/installboardman.png)

After pressing install you sould see it run in the right corner.
![alt text](../images/procces.png)

## step 3

**Board**
Navigate to ```Tools > Board > ESP32 Arduino``` and select "XIAO_ESP32C3". The list of board is a little long and you need to roll to the button to reach it.

![foreverscroll](../images/boardpick.png)

**port**
Navigate to ```Tools > Port``` and select the serial port name of the connected XIAO ESP32C3. This is likely to be COM3 or higher (COM1 and COM2 are usually reserved for hardware serial ports).

![port](../images/port.png)

## Your Done

Now try to go back to [Basic button](Basic_button.md) and try uploading the code.

### more

In case you are new to all of this we recommend [Getting Started with Seeed Studio XIAO ESP32C3](https://wiki.seeedstudio.com/XIAO_ESP32C3_Getting_Started/)
